%define	pkgname	fdk-aac
%define libname lib%{pkgname}
%define soname	%{libname}0

Name:		%{soname}
Version:	0.1.1
Release:	1.2
Url:		http://sourceforge.net/projects/opencore-amr/files/fdk-aac/
License:	see NOTICE
Group:		Multimedia
Summary:	Fraunhofer FDK AAC codec library
Source0:	%{pkgname}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gcc-c++

%description

%package -n %{libname}-devel
Group:		Development/Libraries
Summary:	Fraunhofer FDK AAC codec library

%description -n %{libname}-devel
Development files for Fraunhofer FDK AAC codec library.

%prep
%setup -n %{pkgname}-%{version}

%build
%configure
%__make


%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libfdk-aac.so.0.0.2
%doc NOTICE

%files -n %{libname}-devel
%defattr(-,root,root)
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/genericStds.h
%{_includedir}/fdk-aac/FDK_audio.h
%{_includedir}/fdk-aac/machine_type.h
%{_includedir}/fdk-aac/aacenc_lib.h
%{_includedir}/fdk-aac/aacdecoder_lib.h
%{_libdir}/pkgconfig/fdk-aac.pc
%{_libdir}/libfdk-aac.so.0
%{_libdir}/libfdk-aac.la
%{_libdir}/libfdk-aac.so
%{_libdir}/libfdk-aac.a

%changelog
* Tue May 21 2013 cs@linux-administrator.com
- initial package
